#
# spec file for package perl-kanku-IO-Compress
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-kanku-IO-Compress
Version:        2.074
Release:        6.1
%define cpan_name IO-Compress
Summary:        IO Interface to compressed data files/buffers
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-Compress/
Source0:        https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Raw::Bzip2) >= 2.074
BuildRequires:  perl(Compress::Raw::Zlib) >= 2.074
Requires:       perl(Compress::Raw::Bzip2) >= 2.074
Requires:       perl(Compress::Raw::Zlib) >= 2.074
%{perl_requires}

%description
IO Interface to compressed data files/buffers

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# cleanup
rm %{buildroot}/usr/share/man/man1/zipdetails.1 
rm %{buildroot}/usr/bin/zipdetails
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README

%changelog
* Wed Mar  1 2017 coolo@suse.com
- updated to 2.074
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.074 19 Feb 2017
  * Fix bad 2.073 release
    2.073 18 Feb 2017
  * #120239: [PATCH] ISA fixes for c3
* Mon Feb 13 2017 coolo@suse.com
- updated to 2.072
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.072 12 Feb 2017
  * Makefile.PL
    [#120084]: Need Fix for Makefile.PL depending on . in @INC
  * Makefile.PL
    [#120084]: Need Fix for Makefile.PL depending on . in @INC
* Fri Dec 30 2016 coolo@suse.com
- updated to 2.070
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.070 28 Dec 2016
  * File::GlobMapper
    [#117675]: Fix prototype errors while lazy loading the module
  * zipdetails
    [#116538]: CVE-2016-1238: avoid loading optional modules from default .
* Wed Jan 13 2016 coolo@suse.com
- updated to 2.069
  see /usr/share/doc/packages/perl-IO-Compress/Changes
    2.069 26 Sept 2015
  * IO::Compress::FAQ
  - Added a section of bgzip
    RT #103295: IO::Compress Feature request
  * IO::Compress::Zip
  - Zip64 needs to be first in extra field to workaround a Windows Explorer Bug
    See http://www.info-zip.org/phpBB3/viewtopic.php?f=3&t=440 for details
* Wed Dec 24 2014 jw@owncloud.com
- update to 2.068 2.068 23 Dec 2014
  * Disable running of some of the slower test harnesses by default.
    COMPRESS_ZLIB_RUN_MOST needs set to run them. Make life more
    bearable on legacy platforms
- 2.067 8 Dec 2014
  * RT #100257: IO::Compress::RawDeflate unnecessarily loads IO::Seekable
- 2.066 21 Sept 2014
  * RT #95494: IO::Uncompress::Gunzip: Can no longer gunzip to in-memory file handle
- 2.064 1 February 2014
  * RT #90216: IO-Compress/t/050interop-gzip.t: Use android-compatible
    flags when calling gzip
- 2.062 11 August 2013
  * RT#87335: [PATCH] Fix up tests for imminent bleadperl changes
  * RT#84647: typo fixes
- 2.061 19 May 2013
  * RT#84647: unzip example with IO::Uncompress::Unzip
- 2.060 7 January 2013
  * IO::Compress::Base Remove the flush call when opening a filehandle.
- 2.059 10 December 2012
  * IO::Compress::Base Added "Encode" option.
    Fixes the encoding half of RT# 42656. Decode is still TODO
- 2.058 12 November 2012
  * RT# 81119: Latest IO::Compress 2.057 fails tests on 5.8.x
- 2.057 10 November 2012
  * IO::Compress::Zip Allow member name & Zip Comment to be "0"
  * IO::Compress::Base::Common Remove "-r" test - the file open will catch this.
    RT# 80855: IO::Compress::Base::Common returns that it cannot read readable files in NFS
  * General Performance improvements.
- 2.055 5 August 2012
  * Compress::Zip speed up compress, uncompress, memGzip & memGunzip.
    [RT# #77350: Compress::Zlib::uncompress() is slowed down needlessly by parameter validation
* Mon Jun 25 2012 chris@computersalat.de
- update to 2.052
  * IO::Compress::Zip
    Force a ZIP64 archive when it contains >= 0xFFFF entries.
  * Typos in POD
    [RT# #76130: Gunzip Pod typo in OO section: $$output instead of $$input
- 2.049 18 February 2012
  * IO::Compress::Zip
    Error in t/cz-03zlib-v1.t that caused warnings with 5.15
    [RT# 110736: warnings from cpan/IO-Compress/t/cz-03zlib-v1.t]
- 2.048 29 January 2012
  * Set minimum zlib version to 1.2.0
  * IO::Compress test suite fails with Compress::Raw::Zlib 2.047
    and zlib < 1.2.4
    [RT# 74503]
- 2.047 28 January 2012
  * Set minimum Perl version to 5.6
  * IO::Compress::Zip
  - In one-shot zip, set the Text Flag if "-T" thinks the file is a
    text file.
  - In one-shot mode, wrote mod time & access time in wrong order
    in the "UT" extended field.
- 2.046 18 December 2011
  * Minor update to bin/zipdetails
  * Typo in name of IO::Compress::FAQ.pod
  * IO::Uncompress::Unzip
  - Example for walking a zip file used eof to control the outer
    loop. This is wrong.
  * IO::Compress::Zip
  - Change default for CanonicalName to false.
    [RT# 72974]
- 2.045 3 December 2011
  * Restructured IO::Compress::FAQ.pod
- 2.044 2 December 2011
  * Moved FAQ.pod under the lib directory so it can get installed
  * Added bin/zipdetails
  * IO::Compress::Zip
  - In one-shot mode enable Zip64 mode if the input file/buffer
    >= 0xFFFFFFFF bytes.
  * IO::Compress::FAQ
  - Updates
- 2.043 20 November 2011
  * IO::Compress::Base
  - Fixed issue that with handling of Zip files with two (or more)
    entries that were STORED. Symptom is the first is uncompressed
    ok, but the next will terminate early if the size of the file is
    greater than BlockSize.
    Regression test added to t/006zip.t
    [RT# 72548]
- 2.042 17 November 2011
  * IO::Compress::Zip
  - Added exUnixN option to allow creation of the "ux" extra field.
    This allows 32-bit UID/GID to be stored.
  - In one-shot mode use exUnixN rather than exUnix2 for the UID/GID.
  * IO::Compress::Zlib::Extra::parseExtraField
  - Fixed bad test for length of ID field
    [RT# 72329 & #72505]
- 2.040 28 October 2011
  * t/105oneshot-zip-only.t
  - CanonicalName test failure on Windows
    [RT# 68926]
  * IO::Compress::Zip
  - ExtAttr now populates MSDOS attributes
- 2.039 28 October 2011
  * IO::Compress::Zip
  - Added CanonicalName option.
    Note this option is set to true by default.
  - Added FilterName option
  * IO::Unompress::Base
  - Fixed issue where setting $\ would corrupt the uncompressed data.
    Thanks to Steffen Goeldner for reporting the issue.
  * t/050interop-*.t
  - Handle case when external command contains a whitespace
    RT #71335
- 2.037 22 June 2011
  * IO::Uncompress
  - get globmapper tests working on VMS
    [RT# 68926]
  * IO::Uncompress::Unzip
  - Fixed limitation where Streamed Stored content was not supported.
- fix License to be in spdx format
* Mon Jun 20 2011 jw@novell.com
- update to 2.036
  * IO::Compress::Zip & IO::Uncompress::Unzip
    Added support for LZMA (method 14) compression/uncompresion.
  * IO::Compress::Unzip
    Fixed CRC issue when compression is Store or Bzip2 and Strict option is set.
  * IO::Compress::Zip
    Fixed Zip64 issue where the content size is exactly 0xFFFFFFFF
- this update also requires version updates of
  Compress::Raw::Bzip2 and Compress::Raw::Zlib, although there is no/not much change
  in these packages.
* Sun Jun  5 2011 lars@linux-schulserver.de
- update to 2.035:
  * RT #67931: Test failure on Windows
- adapt dependencies to new version
* Wed May  4 2011 coolo@opensuse.org
- updated to 2.034
  * Compress::Zlib
  - Silence pod warnings.
    [RT# 64876]
  - Removed duplicate words in pod.
  * IO::Compress::Base
  - RT #56942: Testsuite fails when being run in parallel
  - Reduce symbol import - patch from J. Nick Koston
  - If the output buffer parameter passed to read has a value of
    undef, and Append mode was specified when the file was opened,
    and eof is reached, then the buffer paramer was left as undef.
    This is different from when Append isn't specified - the buffer
    parameter is set to an empty string.
  - There area couple of issues with reading a file that contains an
    empty file that is compressed.
    Create with -- touch /tmp/empty; gzip /tmp/empty.
    Issue 1 - eof is not true immediately. Have to read from the file
    to trigger eof.
    Issue 2 - readline incorrectly returns an empty string the first
    time it is called, and (correctly) undef thereafter.
    [RT #67554]
* Tue Jan 11 2011 jw@novell.com
- update to 2.033
    Fixed typos & spelling errors. [perl# 81816]
* Mon Jan 10 2011 jw@novell.com
- update to 2.032
    Bugfixes.  [RT #61915] and others.
* Fri Jun 25 2010 jw@novell.com
- version 2.027 new package,
  hacking our way into a conflict with perl itself: bnc#617621
